pydo.droplets.list_backups()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.droplets.list_backups(
droplet_id=3164444,
per_page=20,
page=1,
)Description
To retrieve any backups associated with a Droplet, send a GET request to
/v2/droplets/{droplet_id}/backups.
You will get back a JSON object that has a backups key. This will be set to
an array of backup objects, each of which contain the standard
Droplet backup attributes.
Parameters
droplet_idinteger requiredA unique identifier for a Droplet instance.
per_pageinteger optionalNumber of items returned per page
pageinteger optionalWhich 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.droplets.list_backups(droplet_id=3164444, )
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.droplets.list_backups(droplet_id=3164444, page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/droplets/{droplet_id}/backups in the API reference for additional detail on responses, headers, parameters, and more.